<div class="row">
    <div class="cell padded rw-12 rw-sm-12">
        <div id="users-list-admin">
            <h5>{{'Suche:'|trans({}, "admin")}}</h5>
            <div>
                <label><input type="text" id="user-search" style="margin-top: 5px; width: 20rem;" /></label>
                <div class="tooltip help">
                    <b>{{ 'Gib den Pseudo des Bürgers ein.'|trans({},'soul') }}</b>
                    {{ 'Verwende folgende Syntax, um deine Suche zu spezifizieren:'|trans({},'admin') }}<br />
                    <ul>
                        <li><b>i:</b><i>number</i> <span class="float-right">User ID</span></li>
                        <li><b>u:</b><i>sting</i> <span class="float-right">User Name or Display Name (fuzzy)</span></li>
                        <li><b>d:</b><i>sting</i> <span class="float-right">Display Name (fuzzy)</span></li>
                        {% if is_granted('ROLE_ADMIN') %}
                            <li><b>e:</b><i>sting</i> <span class="float-right">EMail (fuzzy)</span></li>
                            <li><b>eu:</b><i>sting</i> <span class="float-right">User Name/EMail (fuzzy)</span></li>
                        {% endif %}
                        <li><b>t:</b><i>number</i> <span class="float-right">Twinoid ID</span></li>
                        <li><b>et:</b><i>string</i> <span class="float-right">EternalTwin ID</span></li>
                        <li><b>v0:</b> <span class="float-right">Not validated</span></li>
                        <li><b>b:</b> <span class="float-right">Banned</span></li>
                        <li><b>ro:</b> <span class="float-right">Oracle</span></li>
                        <li><b>rc:</b> <span class="float-right">Crow</span></li>
                        <li><b>ra:</b> <span class="float-right">Admin</span></li>
                    </ul>
                </div>
            </div>
            <div id="users-list"></div>
        </div>
    </div>
</div>
{% block js %}
    <script>
        let typingTimer, doneTypingInterval = 500;
        let searchBox = document.getElementById('user-search');

        const userSearchHandler = function() {
            $.ajax.background().load(
                document.getElementById('users-list'),
                '{{ path('admin_users_fuzzyfind') }}',
                false,
                {'name': searchBox.value}
            );
        };

        const userSearchHandlerUp = function () {
            clearTimeout(typingTimer);
            typingTimer = setTimeout(userSearchHandler, doneTypingInterval);
        };

        const userSearchHandlerDown = function () {
            clearTimeout(typingTimer);
        };

        searchBox.addEventListener('keyup', userSearchHandlerUp);
        searchBox.addEventListener('keydown', userSearchHandlerDown);
    </script>
{% endblock %}